For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
      • GETReturns all companies.
      • POSTCreates a new company.
      • GETReturns all company industries that are currently in use.
      • GETReturns the company with the specified id.
      • PUTUpdates the company with the specified id.
      • GETReturns the contact infos of the company with the specified id.
      • POSTCreates a new contact info for the company with the specified id.
      • GETReturns the specified contact info of the company with the specified id.
      • PUTUpdates the contact info for the company with the specified id.
      • DELDeletes the contact info of the company with the specified id.
      • POSTDeletes the company with the specified id.
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompanies

Updates the contact info for the company with the specified id.

PUT
https://api.awork.com/api/v1/companies/:companyId/contactinfo/:contactInfoId
PUT
/api/v1/companies/:companyId/contactinfo/:contactInfoId
$curl -X PUT https://api.awork.com/api/v1/companies/companyId/contactinfo/contactInfoId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "address"
>}'
1{
2 "type": "address",
3 "label": "Headquarters",
4 "value": "Torstrasse 140, Hof A, 10119 Berlin",
5 "subType": "central",
6 "addressLine1": "Torstrasse 140",
7 "addressLine2": "Hof A",
8 "zipCode": "10119",
9 "city": "Berlin",
10 "state": "Berlin",
11 "country": "DE",
12 "isAddress": true,
13 "id": "123e4567-e89b-12d3-a456-426614174000",
14 "createdOn": "2024-01-15T09:30:00Z",
15 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
16 "updatedOn": "2024-04-10T14:45:00Z",
17 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
18}
<Check title="Required Permissions" icon="key">The user must be an admin or have `company-master-data:write` permissions.</Check>
Was this page helpful?
Previous

Deletes the contact info of the company with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have company-master-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company.
contactInfoIdstringRequiredformat: "uuid"
The id of the contact info.

Request

The updated contact info data.
typestringRequired0-25 characters

The type of the contact info. Possible values are: ‘phone’, ‘email’, ‘address’, ‘custom’.

labelstring or nullOptional0-1000 characters
The label of the contact info. Only necessary if type 'custom' is used.
valuestring or nullOptional0-1000 characters
The value of the contact info.
subTypestring or nullOptional0-25 characters

The subtype of the contact info, Possible values are: phone: [ ‘central’, ‘other’ ] email: [ ‘central’, ‘invoice’, ‘other’ ] address: [ ‘central’, ‘invoice’, ‘other’ ] url: [ ‘primary’, ‘other’]

addressLine1string or nullOptional0-1000 characters
The first address line of the contact info.
addressLine2string or nullOptional0-100 characters
The second address line of the contact info.
zipCodestring or nullOptional0-100 characters
The zipcode of the contact info.
citystring or nullOptional0-100 characters
The city of the contact info.
statestring or nullOptional0-100 characters
The state of the contact info.
countrystring or nullOptional0-100 characters
The 2 letter iso code of the country.
isAddressbooleanOptional
Flags whether this contact info is an address. If it's an address, the address fields are required.

Response

OK
typestring0-25 characters

The type of the contact info. Possible values are: ‘phone’, ‘email’, ‘address’, ‘custom’.

labelstring or null0-1000 characters
The label of the contact info. Only necessary if type 'custom' is used.
valuestring or null0-1000 characters
The value of the contact info.
subTypestring or null0-25 characters

The subtype of the contact info, Possible values are: phone: [ ‘central’, ‘other’ ] email: [ ‘central’, ‘invoice’, ‘other’ ] address: [ ‘central’, ‘invoice’, ‘other’ ] url: [ ‘primary’, ‘other’]

addressLine1string or null0-1000 characters
The first address line of the contact info.
addressLine2string or null0-100 characters
The second address line of the contact info.
zipCodestring or null0-100 characters
The zipcode of the contact info.
citystring or null0-100 characters
The city of the contact info.
statestring or null0-100 characters
The state of the contact info.
countrystring or null0-100 characters
The 2 letter iso code of the country.
isAddressboolean
Flags whether this contact info is an address. If it's an address, the address fields are required.
idstringformat: "uuid"
The Id of the contact info.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.

Errors

400
Bad Request Error
404
Not Found Error